<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: stts_panel.php
| Author: Piotr "Piterus" Jelinski
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s). 
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."stts_panel/infusion_db.php";

if (file_exists(INFUSIONS."stts_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."stts_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."stts_panel/locale/English.php";
}

$stts_setings_1 = dbquery("SELECT * FROM ".DB_STTS_SET);
$stts_12 = dbarray($stts_setings_1);

$stts_13 = array();
$stts_13_pomoc1 = dbquery("SELECT * FROM ".DB_SETTINGS." WHERE settings_name='theme'");
$stts_13_pomoc2 = dbarray($stts_13_pomoc1);
$stts_13[$stts_13_pomoc2['settings_name']] = $stts_13_pomoc2['settings_value'];

//zmienne themow
$main_theme = $stts_13['theme'];
$daybrake_theme = $stts_12['theme_daybreak'];
$day_theme =$stts_12['theme_day'];
$dusk_theme =$stts_12['theme_dusk'];
$night_theme =$stts_12['theme_night'];

//Ustawienie theme
$theme_data = time();

//$stts_13['theme_daybrake_time_on'];
if ($stts_12['infusion_power']=="on1"){

include INFUSIONS."stts_panel/include/engine.php";

//czasy  switu
$date_daybreak_on = $time_rise - $stts_12['tdbton'];
$date_daybreak_off = $time_rise + $stts_12['tdbtoff'];

//czasy zmieszchu
$date_dusk_on = $time_set - $stts_12['tdkton'];
$date_dusk_off = $time_set + $stts_12['tdktoff'];

	if ($stts_12['ilosc']==4){
		// Wybieranie theme  ( Daybreak , Day , Dusk , Night )
		if (($theme_data >=$date_daybreak_on) AND  ($theme_data <$date_daybreak_off))
			//Daybreak $main_theme
			{
			if($stts_12['theme_daybreak'] != $main_theme)
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($daybreake_theme)."' WHERE settings_name='theme'");
					redirect (FUSION_SELF);
				}
		}
		elseif (($theme_data >=$date_daybreak_off) AND ($theme_data <$date_dusk_on))
		//Day
		{
			if($stts_12['theme_day'] != $main_theme)
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($day_theme)."' WHERE settings_name='theme'");
					redirect (FUSION_SELF);
				}
		}
		elseif (($theme_data >=$date_dusk_on) AND ($theme_data <$date_dusk_off))
		//Dusk
		{
			if($stts_12['theme_dusk'] != $main_theme)
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($dusk_theme)."' WHERE settings_name='theme'");
					redirect (FUSION_SELF);
				}
		}
		elseif (($theme_data >=$date_dusk_off) AND ($theme_data <$date_daybreak_on+86400))
		//Night
		{			
			if($stts_12['theme_night'] != $main_theme)
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($night_theme)."' WHERE settings_name='theme'");
					redirect (FUSION_SELF);
				}
		}
		else 
		//Night
		{
			if($stts_12['theme_night'] != $main_theme)
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($night_theme)."' WHERE settings_name='theme'");
					redirect (FUSION_SELF);
				}
		}
		
	}elseif ($stts_12['ilosc']==2) {

		if (($theme_data >=$time_rise) AND ($theme_data <$time_set)) //Day
		{
			if($stts_12['theme_day'] != $main_theme)
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($day_theme)."' WHERE settings_name='theme'");
					redirect (FUSION_SELF);
				}
		}
		else //Night
		{
			if($stts_12['theme_night'] != $main_theme)
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($night_theme)."' WHERE settings_name='theme'");
					redirect (FUSION_SELF);
				}
		}
	} else {
	//$theme = 'Day';
	
		if($stts_12['theme_day'] != $main_theme) 
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($day_theme)."' WHERE settings_name='theme'");
					redirect (FUSION_SELF);
				}
	}
	if (iADMIN){
		openside($locale['stts_000']);
		echo $locale['stts_002'];
		closeside();
	}
}
elseif ($stts_12['infusion_power']=="on2"){

$time_rise_1 = $stts_12['user_sun_rise_h'];
$time_rise_2 = $stts_12['user_sun_rise_m'];
$time_set_1 = $stts_12['user_sun_set_h'];
$time_set_2 = $stts_12['user_sun_set_m'];
$Y = date('Y');
$M = date('m');
$D = date('d');
$S = date('s');

$time_rise = mktime($time_rise_1, $time_rise_2, $S, $M, $D, $Y, -1);
$time_set = mktime($time_set_1, $time_set_2, $S, $M, $D, $Y, -1);

//czasy  switu
$date_daybreak_on = $time_rise - $stts_12['tdbton'];
$date_daybreak_off = $time_rise + $stts_12['tdbtoff'];

//czasy zmieszchu
$date_dusk_on = $time_set - $stts_12['tdkton'];
$date_dusk_off = $time_set + $stts_12['tdktoff'];

	if ($stts_12['ilosc']==4){
	// Wybieranie theme  ( Daybreak , Day , Dusk , Night )
		if (($theme_data >=$date_daybreak_on) AND  ($theme_data <$date_daybreak_off))
		//Daybreak $main_theme
				{
			if($stts_12['theme_daybreak'] != $main_theme)
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($daybreake_theme)."' WHERE settings_name='theme'");
					redirect (FUSION_SELF);
				}
		}
		elseif (($theme_data >=$date_daybreak_off) AND ($theme_data <$date_dusk_on))
		//Day
		{
			if($stts_12['theme_day'] != $main_theme)
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($day_theme)."' WHERE settings_name='theme'");
					redirect (FUSION_SELF);
				}
		}
		elseif (($theme_data >=$date_dusk_on) AND ($theme_data <$date_dusk_off))
		//Dusk
		{
			if($stts_12['theme_dusk'] != $main_theme)
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($dusk_theme)."' WHERE settings_name='theme'");
					redirect (FUSION_SELF);
				}
		}
		elseif (($theme_data >=$date_dusk_off) AND ($theme_data <$date_daybreak_on+86400))
		//Night
		{			
			if($stts_12['theme_night'] != $main_theme)
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($night_theme)."' WHERE settings_name='theme'");
					redirect (FUSION_SELF);
				}
		}
		else 
		//Night
		{
			if($stts_12['theme_night'] != $main_theme)
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($night_theme)."' WHERE settings_name='theme'");
					redirect (FUSION_SELF);
				}
		}
		
	}
	elseif ($stts_12['ilosc']==2){

		if (($theme_data >=$time_rise) AND ($theme_data <$time_set)) //Day
		{
			if($stts_12['theme_day'] != $main_theme)
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($day_theme)."' WHERE settings_name='theme'");
					redirect (FUSION_SELF);
				}
		}
		else //Night
		{
			if($stts_12['theme_night'] != $main_theme)
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($night_theme)."' WHERE settings_name='theme'");
					redirect (FUSION_SELF);
				}
		}
	}
	else{
	//$theme = 'Day';
		if($stts_12['theme_day'] != $main_theme) 
				{
					$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($day_theme)."' WHERE settings_name='theme'");
					redirect (FUSION_SELF);
				}
	}
	if (iADMIN){
		openside($locale['stts_000']);
		echo $locale['stts_003'];
		closeside();
	}
}
else{
	if (iADMIN){
	openside($locale['stts_000']);
	echo $locale['stts_001'];
	closeside();
	}
}
?>